<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>My setup</title>
  <link href="../../style.css" rel="stylesheet" type="text/css" media="all">
  <style>
    details {
      margin-top: 1ch;
    }

    details#winrant>summary::before {
      content: "Show ";
    }

    details[open]#winrant>summary::before {
      content: "Hide ";
    }

    summary {
      text-align: right;
    }

    li,
    summary {
      margin-bottom: 1ch;
    }
    @media only screen and (hover: none) {
      body > ul {
        padding-left: 5vw;
      }
    } 

    /*
      :root {
        --bgsize: 3rem;
      }
      li {
        background-size: var(--bgsize);
        background-repeat: no-repeat;
        background-position-x: 0;
        transition-duration: 0.5s;
        margin-bottom: 0.5rem;
      }
      li:hover {
        background-position-x: calc(0rem - var(--bgsize));
      }
      summary > h2 {
        display: inline-block;
      }
      summary > h2 > a {
        text-decoration: none;
      }
      summary {
        background-size: contain;
        background-repeat: no-repeat;
        padding: 0 1rem;
      }
      details:nth-child(2n + 1) > summary{
        text-align: right;
        background-position: right;
      }*/
  </style>
  <?php include($_SERVER['DOCUMENT_ROOT'] . '/seasonal.php'); ?>
</head>

<body>
  <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
  <h1>stuff i use</h1>
  <h2 id="caption">If your setup is different you're objectively stupid</h2>
  <h2>Hardware</h2>
  <ul>
    <li>
      My main computer is a desktop PC I built myself. I made some choices I regret, but nothing critical. I'm proud
      of it.
      <details>
        <summary>System specs</summary>
        <ul>
          <li><b>AMD Ryzen 7 5700G CPU</b>. Chosen for the integrated graphics, which should come in handy if I'm ever
            without a working GPU, and because it's cheaper than the 5800 with the same core count. Little did I know
            it's the only component in my system with no PCIe 4 support.</li>
          <li><b>Noctua NH-U12A CPU Cooler</b>. Admittedly, a bit overkill. I bought it because the 5700G's stock
            cooler was significantly underperforming. Imagine my shock when I took the old cooler off to discover I
            had installed it wrong and it wasn't making even CLOSE to full contact! Whoops...</li>
          <li><b>Gigabyte B550 AORUS PRO AC Motherboard</b>. Bit of a fancy one. It's a wi-fi board, but I've since
            upgraded to a wired connection. It still comes in handy for my bluetooth gamepad, though.</li>
          <li><b>G.Skill 2 x 16GB DDR4-3600 CL18 Memory</b>. Great memory. I originally thought the XMP profiles weren't
            compatible with my CPU, but it turns out I just had to update my BIOS.</li>
          <li><b>Samsung 980 500GB NVMe Boot SSD</b>. It's a fine drive, but in retrospect it's way bigger than I
            needed for just a boot drive and I wish I had chosen one with DRAM.</li>
          <li><b>WD Blue 1TB SSD</b>. This was originally a storage upgrade for my old laptop. I set it as the mount
            point for my /home directory when I installed Linux on that machine, and transplanted it over to the new
            one to keep all my stuff with very little hassle.</li>
          <li><b>WD Black 4TB 7200RPM HDD</b>. Fits my entire Steam library in less than half its capacity with loads
            of space left over for all the, uhm, Linux ISOs I could want. My case has room for one more 3.5" drive,
            and if I outgrow two of these I might just have to build a NAS.</li>
          <li><b>AMD Radeon RX 6600XT GPU</b>. I knew I was going to be using Linux when I designed the computer, so I
            wanted to avoid Nvidia and their less than stellar Linux drivers if possible. Unfortunately, Blender performance
            isn't too great and it is somewhat prone to crashing during Cycles renders, but it's better than nothing and the gaming performance is stellar.
          </li>
          <li><b>Corsair 110R ATX Mid-tower Case</b>. Chosen because it was one of the only aesthetically tolerable
            cases I could find with a 5.25" drive bay. It provides surprisingly good airflow for a solid front panel.
            Getting the PSU hooked up with the drive cage in proved difficult, though.</li>
          <li><b>Seasonic Focus Plus 650w 80+ Gold PSU</b>. I'd heard good things about Seasonic, and my experience
            thus far corroborates them. I'm very glad I didn't choose a <a
              href="https://www.youtube-nocookie.com/embed/aACtT_rzToI">Gigabyte model</a>.</li>
          <li><b>LG WH14NS40 Blu-Ray/DVD/CD Writer</b>. I really wanted my PC to be compatible with optical media, and
            this was the cheapest unit available that supported every relevant format. Apparently this one has some
            weird firmware issue that stops you from ripping 4k blu-rays? Good thing I don't own any of those. Or a 4k
            display.</li>
          <li><b>4x Arctic P12 Fans</b> plus the fan that came with my case. These fans are cheap, decent, and you can
            daisy-chain them.</li>
          <li><b>BTF 1m 60-LED ARGB Strip</b>. I told myself I didn't need lighting when designing the computer, then
            bought this later when I realized I couldn't see through the tinted glass panel. I didn't want to overpay
            for some PC-specific LED strip that might require proprietary software so I bought this generic one and an
            adapter for the motherboard header. I control it with OpenRGB and a custom systemd service that turns it
            off on shutdown. Weird that that isn't default behaviour.</li>
        </ul>
      </details>
      <details>
        <summary>Peripherals</summary>
        <ul>
          <li>My mouse is a <b>Logitech G602</b> wireless
            mouse that I've had for god only knows how long. I don't normally go for wireless peripherals or
            proprietary dongles, but Logitech's wireless dongles are really good and the quality of their products
            makes it worth it.</li>
          <li>My keyboard is a <b><span title="One thing about Keychron, their products are good but don't buy from their website. When I tried, my order got marked as &quot;fraudulent&quot; by their system and I had to prove to them my 200 US dollars came from a real person to get my keyboards. Save yourself the trouble and just buy their stuff from Amazon.">Keychron</span>
            V3</b> (with knob) and accompanying <b>Keychron Q0</b> for a numpad, because
            the V3 is tenkeyless and I refuse to give up that numpad life. I got Keychron's in-house brown switches and
            they're quite nice, and I look forward to tricking out the QMK firmware with all sorts of crazy macros and
            bindings. My favorite part, though, is that it ships with both Windows and Mac alt/option and super/command
            keys, so I can swap them around in an unintended manner to <i>finally</i> rid the keyboard for my Linux
            computer of those wretched Windows logos!</li>
          <li>I also have a <a target="_blank"
              href="https://m.media-amazon.com/images/I/61sf29vWJ-L._AC_SL1000_.jpg">very large enter key</a>, just
            because.</li>
          <li>I have two 1080p monitors, a <b>24" 165Hz Gigabyte model</b> and a <b>21.5" 75Hz HP one</b>. Both are
            fine, but were I to replace them I would go for something larger at a slightly lower framerate, possibly
            at 1440p. I would not buy the HP monitor again - not that it's bad, but HP Eye Ease&trade; isn't something I want and I can't figure out how to turn it off.</li>
          <li>My webcam is a <b>Logitech C925e</b>. The picture quality is good, and the microphone quality is what
            you'd expect out of a webcam. I'm a huge fan of the built-in privacy shutter. I'm just that sort of
            paranoid.</li>
          <li>The microphone is an <b>Audio-Technica AT2020 USB+</b>. The sound quality out of it is superb. I would
            have bought the non-USB version, but I didn't want to shell out for an audio interface. It sits on some
            random $20 mic arm off Amazon.</li>
          <li>I also have an <b>Xbox One wireless controller</b>. I thought for the longest time it wouldn't work with
            Linux because I was trying to connect it with a cable, but one day I attempted to connect it via bluetooth
            out of desperation and it worked flawlessly!</li>
          <li>I have this little wireless <b><a href="https://www.silverstonetek.com/en/product/info/expansion-cards/ES02-USB/">
            doodad</a></b> from Silverstone that connects to an internal USB header and lets me turn my computer on and off via
            a wireless remote, because I'm just that lazy.</li>
        </ul>
      </details>
      <details>
        <summary>Pictures</summary>
        <img src="images/pc1.png" style="width: 50%;" alt="My computer tower. The CPU heatsink, graphics card, RAM, and optical drive are prominently visible.">
        <img src="images/pc2.png" style="width: 50%;" alt="Closer shot of the inside of my compter with the glass side panel removed. My shoddy cable management is on full display.">
      </details>
    </li>
    <li>
      I also have an old <b>HP Pavilion 15-dk0030nr gaming laptop</b> being used as a home server.
      <details>
        <summary>More details</summary>
        <p>This is the laptop I upgraded from to my current PC. It's got an Intel i7-9750H, 16GB of RAM (upgraded from
          8GB stock), 256GB of SSD space, and a GTX 1660Ti Max-Q GPU. It's currently running Ubuntu server. Right now
          I'm using it to run a Minecraft server for some friends (in theory).</p>
      </details>
    </li>
    <li>
      I host this website on a DigitalOcean droplet I rent with 4GB of RAM and 2 CPU cores running Ubuntu server.
      <details>
        <summary>More details</summary>
        <p>I'd host more on the laptop if I wasn't so worried about uptime and latency and I could be bothered to move it all now.
          This thing is running this website, an Akkoma instance, an RSS bridge, a SearXNG instance, WireGuard to
          get the laptop past the NAT in my house, a Forgejo instance, a Nextcloud instance, a Matrix server, and probably some other stuff I forgot about.</p>
      </details>
    </li>
    <li>
      My phone is a <b>Google Pixel 4a</b>.
      <details>
        <summary>More details</summary>
        <p>I said I was going to wait until my old LG K61 became unusable before replacing it. I thought I'd failed to do that right up until
          its replacement, a used flagship from the same time period, arrived and blew it out of the water in almost every way. I never noticed
          up until now just how painfully unresponsive my old phone was. Mobile websites are, like, usable now!</p>
        <p>Performance was never a consideration in buying the phone, though. I'm not a huge fan of the idea of using a Google device, but the Pixel line are the only devices supported by
          Graphene OS. But why the 4a in particular? There are more recent, largely better models within my price range.
          Mainly, I chose to get the specific model I did because it was the last Pixel device to be released with two important attributes: the presence of a headphone jack,
          and the lack of 5G support. The headphone jack, I think, is self-explanatory. I <i>never</i> intend to purchase a phone without one if I can avoid it. As for the 5G, I don't trust it.
          Basically, much of the performance improvement 5G offers comes from a new transmission technique called beam forming, where instead of blasting every signal equally in all directions
          like a radio tower it specifically calibrates the signal for a given device such that it's effectively focused in a narrow cone directed at that device, and for this to work properly
          the tower needs to know where the phone is at a level of precision that is within inches. I feel like I shouldn't need to explain why that's scary.
        </p>
      </details>
    </li>
    <li>I have a <b>Nintendo Switch</b> that, admittedly, doesn't see much use. Kirby and the Forgotten Land was good,
      though. Unfortunately, I don't have one of the early ones that can be softhacked, otherwise I would have for
      sure done so by now.</li>
    <li>I've softmodded my <b>New 2DS XL</b> and you should too. It's <a href="https://3ds.hacks.guide/">scarily
        easy</a>.</li>
    <li>I have two pairs of headphones: a modded <b>Beyerdynamic DT 770 Pro (80 Ohm)</b> from <a href="https://customcans.co.uk/">
      Custom Cans</a>, and a pair of <a href="https://www.amazon.ca/gp/product/B07JH56Q7J?psc=1" target="_blank"><b>KZ ZSN</b></a>
      wired earbuds.
      <details>
        <summary>More details</summary>
        <p>The main factor that drove me to choose Beyerdynamic for my headphones was build quality. Durability was
          already important to me, but after my previous headphones from Audio-Technica snapped after only a year I 
          was determined not to let that happen again. Supposedly this company's headphones are built really well.
          Beyond that, these are studio headphones, and I wanted something that was good for musician-ing, on the rare
          occasion I actually do that. From what I've been able to discern so far, they certainly live up to the "studio"
          moniker. The audio quality is very nice. The one issue I have with these headphones is that they don't have a
          removable cable, which is why I had mine modded. They've got a mini-XLR port now!</p>
        <p>As for the earbuds, you should buy them. They are quite literally the best earbuds I've ever used. They're
          cheap, the sound quality is good, and the build quality is absolutely stellar. I've spent three times as
          much on headphones that are worse in every way.</p>
      </details>
    </li>
  </ul>
  <h2>Software</h2>
  <ul>
    <li>
      I use arch, btw. Well, <a href="https://endeavouros.com/" target="_blank">EndeavourOS</a>, but close enough.
      <details>
        <summary>More details</summary>
        <details id="winrant">
          <summary>furious tirade about Windows</summary>
          <p>Seriously, fuck Windows and fuck Microsoft. I've watched them spend the past several years strong-arming
            hardware manufacturers into making it harder and harder to install anything but their terrible product on
            hardware YOU own in the name of "security". I first noticed it with secure boot, and they've continued
            this trend recently with Pluton, a <span style="text-decoration:line-through;">anti-competition</span>
            "security" chip built directly into the CPU. As far as I can tell, both of these things can be disabled in
            the BIOS (for now), but how long until they can't? Honestly, at this point, I'm running Linux partially
            out of sheer spite, as a middle finger to every corporation that thinks they have the right to control
            what I do with my hardware.</p>
          <p>Apple's even worse, mind you. Say what you will about performance and power efficiency, but I'm convinced
            the main reason Apple has started making their own CPU architectures is as the nuclear option to finally
            kill the Hackintosh. For as long as I've been alive Apple has spearheaded every anti-consumer movement in
            every industry they're in. I swear, every time someone responds to a complaint about Windows or Android by
            recommending an Apple product I get a little bit closer to snapping and beating Tim Cook to death with a
            broken iMac. This isn't 1983, motherfucker. Buy something you can fix.</p>
        </details>
        <p>I have a long history with Linux. The first computer I ever owned was a Chromebook, and I wanted to play
          <span title="Java Edition, mind. I could have played Pocket Edition anytime I wanted. Minecraft on anything but the PC used to suck big-time. Feature parity didn't exist. I think Chromebooks might even be able to run Minecraft Bedrock Edition now with the Android app support. Honestly, I think it would still be worth hacking proper Linux onto them to play the real deal.">Minecraft</span> on it, which Chromebooks famously can't do,
          so naturally the logical solution was to install Linux on the thing with Crouton in order to run it. It was
          incredibly sketchy, janky, and not exactly performant, but I got my Minecraft and that was what mattered. I
          killed it 9 months in by overworking its poor little <span title="When I say overworked, I mean it. The thing was redlining basically all the time whenever I was doing about anything in the Linux environment, especially Minecraft. It would overheat so much so often I'm pretty sure I melted the adhesive keeping the bottom panel on, because by the end of its life that thing was in a pretty much constant state of nearly coming off.">passively
          cooled</span> Celeron CPU, and after that I mostly stuck with Windows on the two HP laptops I had over the
          next six years for software compatibility reasons, but I tried to switch back to Linux occasionaly.</p>
        <p>I finally pulled it off last year, when I used a combination of upsetting news about Windows 11 and a
          storage upgrade to my laptop as my excuse to switch. Software compatibility on Linux still isn't quite there
          yet, but I didn't use a lot of Windows-only programs outside of Paint.NET and games anyway, and game
          compatibility has improved leaps and bounds with Valve's Proton/Steam Play. Shame I can't play any of the
          games I got for free on the Epic launcher, though.</p>
        <p>So why EndeavourOS in particular? Mainly, it ships with my desktop environment of choice and it's based on
          Arch so I get the AUR and to tell people I run Arch, btw. I used to use Manjaro for the same reasons but I
          got sick of the long wait times for new package updates and generally just wanted a fresh start after I
          installed Plymouth and then it broke, leaving my computer still bootable but breaking all my custom systemd
          services for some reason. Before that I used System76's Pop!_OS on my laptop because it shipped with Nvidia
          drivers preinstalled.</p>
      </details>
    </li>
    <li>
      <p>My phone runs <a href="https://grapheneos.org/">Graphene OS</a>. It's a hardened fork of the Android Open Source Project with all of Google's proprietary spyware stripped out. It's the only reason I bought a Pixel and it's very nice. I'd go into more detail, but the devs do a great job of that on their website.</p>
    </li>
    <li>
      I use <a href="https://www.mozilla.org/en-US/firefox/new/" target="_blank">Firefox</a> as my main web browser
      outside of testing. On mobile I use the <a href="https://f-droid.org/packages/org.mozilla.fennec_fdroid/">Fennec</a> fork.
      <details>
        <summary>More details</summary>
        <p>I really like Firefox. It's customizable as hell, the dev tools are better, and it's designed to keep your
          data private from the likes of Google and Facebook. No, I won't call them fucking meta.</p>
        <p>On top of that, Firefox is genuinely incredibly important. It's the only modern browser left outside of
          Safari that isn't built on top of Google's Chromium, and for that reason it's critical that it stays
          significant because the alternative is Google (and MAYBE Apple) having the complete final say over every web
          standard, and I shouldn't have to explain why that would be really, really bad.</p>
        <p>Seriously, please switch to Firefox. It can import your data from other browsers like Chrome, so the
          transition should be pretty well seamless. Although, if you're willing to get into the weeds a bit, I'd
          recommend using this <a href="https://ffprofile.com/">profile generator</a> to fortify your browsing
          experience even further.</p>
      </details>
    </li>
    <li>For Chromium testing and the occasional poorly-built website that just doesn't want to run in Firefox, I use <a
        href="https://github.com/ungoogled-software/ungoogled-chromium">Ungoogled Chromium</a>.</li>
    <li>I currently use the News app on my self-hosted Nextcloud instance for RSS, with the default Android app.</li>
    <li>Loathe as I am to admit it, Microsoft's Visual Studio Code is really good. Which is why I use <a
          href="https://vscodium.com/" target="_blank">VSCodium</a>, an open-source build with all the telemetry
        stripped out.
    </li>
    <li><a href="https://www.blender.org/" target="_blank">Blender</a> does goddamn everything. It's almost scary. I
      use it for visual art, video creation, and modeling and have since mid-2020.</li>
    <li>
      <a href="https://www.reaper.fm/" target="_blank">REAPER</a> has the benefits of being both available for Linux
      and sanely priced.
      <details>
        <summary>More details</summary>
        <p>As of writing (2022-07-18), I haven't released any music made in REAPER yet, but I already like it a hell
          of a lot more than LMMS, which is what I've used to make most of my music up until this point. LMMS is a
          free DAW with some great built-in synth plugins and the ability to run Windows VST instruments on Linux
          natively, and basically nothing else going for it. It's missing a lot of basic functionality that every
          other DAW I've seen has and what is there is laid out in a really idiosyncratic way. That said, it's capable
          of making some <a href="https://isopod.cool/old/2/audio/bridges.mp3">pretty good stuff</a>.</p>
        <p>As for why REAPER in particular, it's the cheapest one there is by a good long way, especially for a
          version without artificial limitations (<i>cough cough FL STUDIO</i>), and it's available for Linux. It does
          have some problems remembering my settings for the one non-native plugin I currently use, but that seems to
          be a problem with the LV2 plugin standard, so I can't really hold that against it.</p>
      </details>
    </li>
    <li><a href="https://www.gimp.org/" target="_blank">GIMP</a> is, frankly, the best photo editor available on
      Linux. I'm more comfortable in Paint.NET and would probably still be using it if I could get it running in WINE.
    </li>
    <li>The music player I currently use is <a href="https://wiki.gnome.org/Apps/Rhythmbox">Rhythmbox</a>. I also quite
      like <a href="https://elisa.kde.org/" target="_blank">Elisa</a>, but that one doesn't conform to my theming in XFCE and it bugged me.</li>
    <li>For everything that isn't music, I default to <a href="https://www.videolan.org/vlc/" target="_blank">VLC</a>.
      It's a free and open-source everything player.</li>
    <li>For basic PDF editing, I use Firefox. Did you know it can do that now? For more advanced stuff, the only option I'm aware of is <a href="https://www.scribus.net/">Scribus</a>.</li>
    <li>I download my, uh, Linux ISOs with <a href="https://www.qbittorrent.org/" target="_blank">qBittorrent</a>.
      uTorrent is adware, don't get anywhere near it.</li>
    <li>I use <a href="https://syncthing.net/" target="_blank">Syncthing</a> to sync my photos, music library, etc.
      between my phone and my PC. It's simple, reliable, and fully automatic. Eat your heart out, iTunes.</li>
    <li><a href="https://www.zsh.org/" target="_blank">zsh</a> largely out of peer pressure from the greater Linux
      community. I'm not enough of a power user to notice much of a difference compared to bash, but I do like being
      able to customize my shell prompt.
      <details>
        <summary>More details</summary>
        <ul>
          <li>I use <a href="https://ohmyz.sh/">Oh My Zsh</a></li>
          <li>and <a href="https://github.com/romkatv/powerlevel10k">Powerlevel10k</a> to do this.</li>
        </ul>
      </details>
    </li>
    <li><a href="http://guake-project.org/" target="_blank">Guake</a> and whatever other terminal emulator ships
      with my distribution.
      <details>
        <summary>More details</summary>
        I also have a <i>heavily</i> customized <a href="https://github.com/hykilpikonna/hyfetch">fetch</a> script I'm currently itching to show off:
          <img src="images/2022-12-20_zsh.png" alt="A heavily customized HyFetch (neofetch with pride flags, essentially) featuring, among various stock readouts, fully custom GPU and GPU load and temperature readouts, a fully custom indicator of what media is playing, and a custom to-do list. All of this stuff is absolutely caked in dynamically drawn Unicode box drawing characters and ANSI control codes. The ASCII Manjaro logo has nonbinary pride flag colors. The color theme at play is gruvbox." title="My HyFetch config and accompanying zsh prompt, as of 2022-12-20. The zsh prompt is pretty much stock Powerlevel10k, but the HyFetch above it has been gutted and reassembled out of ANSI control codes and sed commands into something borderline unrecognizable. I'm pretty sure it's radioactive. It's slick as fuck though. The TODO and Playing segments are fully custom and drawn dynamically. I've also configured it to not show when logging in via ssh or the VSCode/kate integrated terminals. Don't ask why I enabled sshd on my home computer.">
      </details>
    </li>
  </ul>
  <div id="leftsidebg" style="background-image: url(bg.jxl), url(bg.png); --distancefromcenter: -20%;"></div>
  <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
</body>

</html>