<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Blog</title>
    <link href="../style.css" rel="stylesheet" type="text/css" media="all">
    <style>
      ul#articles {
        margin: 0;
        margin-top: 1rem;
        display: flex;
        flex-direction: column;
        padding-left: 0;
        list-style: none;
      }
      ul#articles li {
        width: 100%;
        list-style: none;
        display: inline-block;
        margin: .4rem 0;
      }
      ul#articles h2 {
        margin: 0;
      }
      /*ul h2:first-of-type::before {
        content: "Articles - "
      }*/
      article img, article video, article iframe {
        filter:drop-shadow(var(--stddropshadow));
      }
      ul#articles li > a {
        text-decoration: none;
      }
      ul#articles li > a > * {
        display: block;
        margin: 0.1rem 0;
      }
      ul#articles li a h4 {
        text-decoration: underline;
      }
      ul#articles li a time, ul#articles li a span {
        font-size: .9em;
        color: gainsboro;
      }
      ul#articles li a time {
        font-weight: bold;
      }
      article:first-of-type h2::before {
        content: 'Journal - ';
      }
    </style>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/seasonal.php'); ?>
  </head>
  <body>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
    <h1>blog</h1>
    <h2 id="caption">inane ramblings</h2>
    <nav>
      <a href="blog.atom">Atom (articles)</a>
      <a href="https://journal.miso.town/atom?url=https://isopod.cool/blog/">Atom (journal)</a>
    </nav>
    <?php
      $username = "niceopod"; // Your username here!
      $ch = curl_init("https://status.cafe/users/$username/status.json");

      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
      curl_setopt($ch, CURLOPT_HEADER, 0);

      $str = curl_exec($ch);
      if(curl_error($ch)) {
        //echo curl_error($ch);
        $str = "";
      }
      curl_close($ch);
      $status_data = json_decode($str, true);
      $content = $status_data["content"];
      $face = $status_data["face"];
      $timeago = $status_data["timeAgo"];
      if(strlen($content) < 1) {
        $content = "Something's gone wrong server side...";
      }
      echo "<div id='statuscafe'><div id='statuscafe-username'><a href='https://status.cafe/users/$username' target='_blank'>status</a> $face $timeago</div><div id='statuscafe-content'>$content</div></div>";
    ?>
    <?php
      $content = simplexml_load_file("blog.atom");
      echo "<ul id='articles'>";
      $year = "-69420";
      $yc = 0;
      foreach($content->entry as $entry) {

        $nyr = substr($entry->published, 0, 4);
        if($nyr != $year) {
          $year = $nyr;
          echo "<li><h2 id='$year'>$year</h2></li>";
        }
        $dt = substr($entry->published, 0, 10);
        $ti = $entry->title;
        $wn = "";
        if(preg_match('/2022-0(5|4)-(21|25|13)/', $dt)) {
          $wn = "title=\"This post is on the archived v2 version of the site. It will not load if you don't have Javascript enabled, and expect jank if viewing on mobile. You have been warned.\" ";
        }
        echo "<li><a ".$wn."href='".$entry->link["href"]."'><time>".$dt."</time><h4>".$ti."</h4><span>".$entry->summary."</span></a></li>";
        
      }
      echo "</ul>";
    ?>
    <article id="2023-05-07">
      <h2>2023-05-07</h2>
      <p>It's been one hell of a month since I last posted here. If you've made the baffling decision to get invested in my life, I've got good news and bad news. Bad news first.</p>
      <p>Work isn't going very well. One of my coworkers quit and that's left us understaffed for May long weekend, which is an incredibly busy time. I've been scheduled for 48 hours next week(<span style="color:red;">!!!</span>). To put that in context, I signed up to work part time. 20-30 hours a week they said. Hopefully they can hire someone <em>soon</em>.<p>
      <details>
        <summary>Content warning here - the short version is I injured my hand, and I'm gonna talk about that. Nothing life-altering, though. It'll heal and I'll probably be fine.</summary>
        The next awful thing that happened to me is I sliced my left index finger open on a knife at work. I won't give a play-by-play of events, but suffice to say the cause was very embarrasing. Luckily (for a given value of lucky) it was a sharp, non-serrated knife, so the cut was clean at least. I left the hospital a few hours later with three stitches right next to the *pause for googling* Distal Interphalangeal Joint. There was, understandably, disciplinary action on the part of my employer, but nothing major. I wasn't fired, at least, so that's good, I guess.
      </details>
      <p>Also, my Matrix server is seeing about zero use. Once again, nothing has changed in the wake of a scandal regarding Discord. lol</p>
      <hr>
      <p>Now for the good news. I've come into some money for reasons that boil down to "the government is simping hard over my autistic swag", which is a sentence I've been itching to say, and I used some of it to get a 3D printer! Blog post about it possibly coming soon, but suffice to say it's been a thoroughly fun and interesting experience.</p>
      <p>I also made a fursona. One guess what species it is. You will be able to find out more once I've gotten around to making a <a href="https://github.com/theHedgehog0/fursona-schema">spec</a>-compliant <a href="/.well-known/fursona">information file</a>.
      <hr>
      <p>I'm starting to get sick of writing these in raw HTML. Might fuck around and write a custom Markdown renderer in PHP. Could be fun.</p>
    </article>
    <article id="2023-04-10">
      <h2>2023-04-10</h2>
      <p>Pretty good vibes this morning. Got up at 6 AM (or never slept? hard to tell with my sleep schedule) and made like five fried eggs and some half-burnt toast. It was fucking delicious. Great distraction from the Horrors. It is now 7 AM and very bright out. Yesterday was Easter, apparently. Don't really care to be honest with you.</p>
      <p>I set up a Matrix server recently. Hoping beyond hope that it can help ease some of the friction of eventually migrating off of Discord. Either way, I encourage you to <a href="https://matrix.to/#/@w:isopod.zone">hit me up there</a> so I have an excuse to use it.</p>
      <hr>
      <p>Update! Just got back from a walk along some trails in the nearby woods. I was out two hours, walked around three kilometers, and came back very, very tired. It was probably the longest recreational walk I've ever been on. I have to wonder, at what point does a walk become a hike?</p>
    </article>
    <article id="2023-03-25">
      <h2>2023-03-25</h2>
      <p>So, it has once again Been A Minute. Not that I owe a bunch of purely hypothetical strangers on the internet an explanation, but about the best I'd be able to do is alluding to a general vibe of overwhelmed-ness. But nevermind that, on to... something.</p>
      <p>So Discord did another evil thing. This time it was the fact that they quietly removed the provision from their privacy policy saying that they wouldn't record call data and then announced a bunch of AI features. Discord has had about fifty zillion scandals in the past, but this is the first time it actually got my friends talking about alternatives! Nothing much came of it though.</p>
      <p>I'm ostensibly working on a blog post comparing alternatives, but that got stalled around the same time as everything else. I'll summarize here: switch to Revolt if you're scared of change but also don't mind incomplete, buggy alpha software, switch to XMPP if you and everyone you know are huge nerds and more comfortable with how software worked in the 90s, switch to Matrix otherwise or if you value easy-to-use end-to-end encryption, if the only feature of Discord you use is group DMs then use Signal, unless you value gimmicks, then use Telegram. Under no circumstances use Guilded.</p>
      <p>Now feels like a good time to mention that I have email and Matrix addresses listed <a href="../links">here</a>.</p>
      <p>I've also switched Linux distros, from Manjaro to EndeavourOS. My install was kind of falling apart in various non-critical ways and I felt like I needed a fresh start, and Manjaro seems to be going from the Ubuntu of Arch derivatives (complimentary) to the Ubuntu of Arch dertivatives (derogatory).</p>
      <p>I was also starting to get sick of KDE. It's extremely powerful and configurable in theory, but both the GUI and command-line tools to do that are generally crummy and unreliable at best and every single component generates config files that it feels like you'd need a PGP key to interpret. Now I'm running XFCE - it was my DE of choice back when I was running Linux on a Chromebook, and I can see why I used to like it. It's not as fancy or polished (or memory hungry), but it's way more straightforward to configure and when it breaks it typically does so consistently and for much simpler reasons.</p>
      <p>There's some other shit in here too, uh... <code>*sound of papers ruffling*</code> strongly considering getting a 3d printer... don't really like my job but it's better than being broke... oh! I fixed the port forwarding for my Minecraft servers! I'm pretty sure ufw was causing my problems in some way, though I don't know what, because I managed to get it working by removing all the Minecraft rules from ufw and just adding the relevant iptables commands to my wireguard config instead. I also made a cronjob to ping the servers hourly to see if they're up, which is pretty cool, I think.</p>
      <p>That's all I've got for the moment. Now I need to upload this post before I'm forced to update the date in the HTML I'm currently hand-writing.</p>
    </article>
    <article id="2023-02-27">
      <h2>2023-02-27</h2>
      <p>Well, it took a lot of work over multiple days, but my website finally <a href="https://kalechips.net/posts/2022-09-09-Mobile-Compatibility">Works On Phones&trade;</a>. Funny thing is, I originally chose this strict single-column layout in order to make it easier to get my website to look nice on those little portrait displays, but I ran into some weird scaling issues I couldn't figure out until one day I bit the bullet and googled it and lo and behold, turns out all I needed to do was add <code>&lt;meta name="viewport" content="width=device-width, initial-scale=1"&gt;</code> to every single page. That literally fixed everything.<p>
      <p>Almost everything after that was polish, plus finding workarounds for the overabundance of <code>&lt;table&gt;</code>s everywhere. One of the biggest improvements I made was adding a slick hamburger menu on mobile devices instead of trying to force the regular top bar to work with so little space. I'm real proud of that one.</p>
      <p>My favorite part (sarcasm) was <a href="../stuff">/stuff/</a>. For some idiot reason I designed that particular page entirely differently back in v2 and barely changed it even after the v3 overhaul. I had to rip that fucker up down to the studs and redo it completely to get it responsive, styling-wise at least. I kind of miss the old version - it had its charms - but from a UX standpoint this is probably better.</p>
      <p>In other news, I set up that Nextcloud instance. I don't actually intend to use it for, like, email and calendars and file storage like the devs seem to want me to - I've got Proton Unlimited for that, and it's definitely more secure than me - but it does a lot of cool less-critical stuff. It's got an <span title="Yarr is fine, but Nextcloud News has edged it out by being compatible with mobile apps.">RSS reader</span>, kanban boards (think Trello), forms, a system monitor for my server (‽), and a ton of other wacky bullshit too. It's like a million different services I would have otherwise had to self-host separately (and probably run every damn database server under the sun). It's great.</p>
    </article>
    <article id="2023-02-22">
      <h2>2023-02-22</h2>
      <p>Were any of you fucks gonna tell me my blog page has been broken for the last 2 days since I updated Ubuntu and PHP versions?</p>
      <p>So yeah, I finally updated my VPS from Ubuntu 20.04 LTS to 22.04 LTS. 22.04 was out when I first set up the VPS, but I'd heard its memory manager likes to misbehave and just randomly kill stuff. I needed a more recent version of Ubuntu to get PHP 8.1 in the repos though, because I want to set up a Nextcloud server on this thing. At any rate, seems fine so far.</p>
      <p>Job's going... alright. Could be better. I'm having to work the closing shift alone a lot, which is a huge pain and involves a ton of work but I can just about do it. My coworkers are nice though. I'll probably shoot for a job in data entry or something next.</p>
      <p>I got a new phone recently! It's a Google Pixel 4a. I wouldn't ordinarily even entertain the idea of using a Google phone, but the Pixel line are the only phones supported by my custom OS of choice, Graphene. I chose the 4a in particular because it was the last Pixel to ship with two important features: a heaphone jack and no 5G support. Did you know that 5G connectivity allows your phone to be tracked to within inches of its position? Cool, right?</p>
      <p>I also got a new keyboard. I bought a TKL keyboard and accompanying separate numpad from Keychron because they didn't have any 100% keyboards in the color I wanted. They're really good, much better than my old Logitech in about every possible way. In fact, while writing this I tested them both side by side and noticed that the old keyboard has, like, this hollow ring to it that I never realized wasn't normal. Having used something nicer, it feels and sounds pretty shitty in comparison. All that said, ordering from Keychron fucking sucked. Their system flagged my order as potentially fraudulent and it literally took weeks to convince them to ship it to me. Buy their shit, but buy it somewhere other than their website.</p>
    </article>
    <article id="2023-02-09">
      <h2>2023-02-09</h2>
      <p>I've deprecated the changelog on my website in favor of just linking an RSS feed of my <a href="https://git.isopod.cool/will/isopod.cool/commits/branch/main">git commits</a> to it. Strictly speaking this is probably a worse user experience, but it's my website and I'm too lazy to keep maintaining two changelogs. Figured I'd announce it here in case someone is regularly checking on the changelog but isn't subscribed to its Atom feed and is curious what happened.</p>
      <p>In other news, job's going alright so far. On my last shift I learned how to take apart the meat grinder for cleaning. Currently waiting on the arrival of some shoes I ordered that should be better for working retail in than my old ones, which are so worn out it's like standing barefoot on the floor all day. Speaking of all day, I've got a bunch of eight-hour shifts coming up, so I'm excited for that (← lying). Money is money I guess.</p>
      <p>My Yubikey arrived, along with the spare one I also bought. Pretty cringe IMO that paypal only supports registering one, and Microsoft and my bank don't support any. I'd like to have no Microsoft account, but they own Minecraft now so what are you gonna do.</p>
      <p>vanilla extract</p>
    </article>
    <article id="2023-02-07">
      <h2>2023-02-07</h2>
      <picture>
        <source srcSet="images/2023-02-07_lollmao.jxl" type="image/jxl">
        <img loading="lazy" src="images/2023-02-07_lollmao.png" alt="Email from johnsmith98969896@gmail.com to sussybaka.uwu@bathynomus.xyz: Hello, [four line breaks] My name is john smith and I am a Digital Marketer and Content Writer, [three line breaks] myself, write unique and outstanding content that can be added to your website. [three line breaks] Please let me know if you accept guest blogs so I can share some topics. You can also suggest to me any topic of your choice. [four line breaks] If you are interested in my proposal, please reply positively.">
      </picture>
      <p>No, John, no I do not.</p>
    </article>
    <article id="2023-02-03">
      <h2>2023-02-03</h2>
      <p>I have a job now. I think. I've done my orientation but I'm yet to receive a schedule. I'm working in retail, specifically in the meat department. I won't disclose the name of the store, but they were very keen that I know the company started as a small meat delivery business before expanding into the multi-billion dollar national retail conglomerate they are today.</p>
      <p>More importantly, I've finally switched domain registrars. I was using Domain.com, and I have a lot of gripes with them:</p>
      <details>
        <summary>Gripes</summary>
        <ul>
          <li>The UI is bloated, slow, and overly javascript-y, like it's trying and failing to be an app</li>
          <li>My ability to access their website via anything but Chromium with no VPN is spotty at best</li>
          <li>I had to go through support to get <span title="Like an A record, but for IPv6. Basically, A and AAAA records are the DNS records that point your computer to an IP address when you enter a URL. Very important.">AAAA records</span> added to my domains. There's just not an option in the UI for it.</li>
          <li>I've still got upcoming bills for my domains AFTER transferring them away with no obvious way to cancel them or remove payment information</li>
          <li>No clear way to delete my account either</li>
          <li>Also, they charge extra for WHOIS privacy</li>
        </ul>
      </details>
      <p>All in all, very dubious. Steer clear. I now recommend Porkbun. It's the registrar I switched to and it fixes every complaint I had with Domain.com. Plus, it's much cheaper.</p>
      <p>I'm tightening up my security practices, bit by bit. Just this week I've set up KeePassXC, <span title="This lets me give out customized email addresses to every website that asks for one so I don't have to reveal my real one. hmu at sussybaka.uwu@bathynomus.xyz">created a catch-all custom email domain in protonmail</span>, and purchased a Yubikey.</p>
      <p>I also upgraded my Protonmail subscription to Proton Unlimited recently, and started using Proton VPN on account of I'm allowed more than one connection now and Unlimited is actually cheaper than paying for Protonmail Plus and Mozilla VPN separately. Funny thing, Proton VPN is also just better. Mozilla VPN is alright, but it's lacking features and you don't get very granular control over which server you're connecting to, just which city it's in. Proton VPN gives you hundreds of different servers to choose from, sometimes dozens per city, with handy little indicators of which ones are good for streaming/torrenting/being routed through Tor. It's also got DNS leak protection, an automatic killswitch, and a built-in adblocker(!), none of which Mozilla VPN offers. My favorite feature, though I have no use for it currently, is the ability to hook your router up to it and pipe your entire network through it. They literally advertise that you can do this.</p>
      <p>Good talk. It is now 3 AM and I need to sleep. Goodnight.</p>
    </article>
    <article id="2023-01-23">
      <h2>2023-01-23</h2>
      <p>I've been trying to get more exercise recently. To that end, I've been going on walks. Crazy idea, I know. There's a forest near my house with a network of trails I've been using, it's nice.</p>
      <p>My home network has been giving me endless troubles of late. Last week I suddenly lost internet access, <span title="But not before using up two thirds of my monthly mobile data cap!">then I got that back</span> but the overengineered piece of shit Linksys mesh wifi network thing my parents installed in the house was busted, so that needed to be reset, which borked the static IPs I had set up for my computer and my home server, and now I'm having what appears to be trouble connecting to the internet via IPv4 at all. On my PC this is fine, because my VPN seems to be circumventing the problem(?) but not so much for my server. Minecraft, the one thing that I'm using that machine for, doesn't support IPv6, which means until that comes back it's completely useless, so that's fuckin' fun. Maybe I can work around it somehow by fiddling with WireGuard configs, but that server sees so little use I honestly don't care enough right now.</p>
      <p>In brighter news, I applied for some government tax credit a while back and my application was accepted! I got paid back for the past ten years worth of taxes the credit would have saved and it came out to a frankly hilarious amount of money. Now how to spend it... I'm considering getting a nicer keyboard.</p>
      <p>Did I mention I have tinnitus? Well that's a thing now. It developed suddenly a few months ago - so suddenly that there's a post on my fedi instance from the day it happened to the effect of "I think I just developed tinnitus". I went to get my ears looked at by my doctor and they said my ears looked fine from what they could tell. Supposedly I'm on a waiting list to get my ears looked at in more detail - an audiogram, my doctor called it. That hasn't happened yet.</p>
      <p>In the meantime, I honestly can't tell for sure if it's getting worse or not, and that's kind of worrying. Honestly, the tinnitus isn't the problem for me. If it stays at this level forever, I can deal. It's not debilitating or even that distracting unless I'm in a quiet space. My worry is that it'll get more intense with time and <i>become</i> debilitating, or worse, that it's a symptom of some kind of hearing damage I unknowingly inflicted on myself and this is the beginning of total hearing loss. I'm supposed to be a musician, dammit!</p>
      <p>I bummed myself out writing that. For my sake and yours, have these isopods:</p>
      <details>
        <summary>Isopods</summary>
        <a href="https://www.inaturalist.org/photos/184195133">
          <picture>
            <source srcSet="images/2023-01-23_calmanesia.jxl" type="image/jxl">
            <img loading="lazy" src="images/2023-01-23_calmanesia.png" alt="Very spiky isopod in the genus Calmanesia">
          </picture>
        </a>
        <a href="https://www.inaturalist.org/observations/46633771">
          <picture>
            <source srcSet="images/2023-01-23_troglodillo.jxl" type="image/jxl">
            <img loading="lazy" src="images/2023-01-23_troglodillo.png" alt="Spotted brown isopod in the genus Troglodillo">
          </picture>
        </a>
        <a href="https://www.inaturalist.org/observations/41366000">
          <picture>
            <source srcSet="images/2023-01-23_bathynomus.jxl" type="image/jxl">
            <img loading="lazy" src="images/2023-01-23_bathynomus.png" alt="A giant isopod, Bathynomus Giganteus">
          </picture>
        </a>
      </details>
    </article>
    <article id="2023-01-10">
      <h2>2023-01-10</h2>
      <p>I set up a <a href="https://forgejo.org/">Forgejo</a> instance today! I have never used Git before. I considered using it for my websites before, but after what happened to Github (bought by Microsoft) I was holding out until I managed to set up my own self-hosted service. I've created repositories for my websites, the plan is to eventually have them automatically update from their respective repositories whenever I push to them but for now I'm just mirroring them manually because I don't know how to set up git hooks properly with Forgejo.</p>
      <p>My computer science course is going well, for the first time in a while. I had an assignment a while ago where I had to debug a basic C++ program, and that was the only thing for that whole week in the provided study plan and I completed it in a couple hours, so I took that as an excuse to do nothing for the rest of the week and the inertia from that caused me to fall three weeks behind. I finally managed to catch up because I hit a section in the study plan that had three weeks total allocated to four things that I could do in a couple hours each, putting me exactly back on schedule again. Here's hoping that doesn't happen again.</p>
      <p>I've been trying to stop using Youtube's official frontends. I've already moved all my subscriptions to my RSS reader and I have Newpipe installed on my phone, but there's a couple pain points preventing me from switching, loathe though I may be to admit it. First and most importantly, there's no easy way to sync Youtube feeds between my RSS reader and Newpipe. Pain point the second is that Youtube's RSS feeds don't have the actual videos embedded in them for me to watch from the reader - I have to click to go to youtube.com.</p>
      <p>I'm seriously considering solving the first of these problems by setting up an Invidious instance on my server, so I can just go there on both devices. While writing this I tested going to someone else's Invidious instance on mobile, and it singlehandedly restored my faith in mobile websites. Everyone else, do better. I wouldn't even need an app installed, period. I think if I did that, I could deal with the RSS feed jank, because it would at least be a uniform experience across devices.</p>
    </article>
    <article id="2023-01-05">
      <h2>2023-01-05</h2>
      <p>Wow, I haven't seen you since last year! I told you I wouldn't get another post out within a week. I bought Factorio for myself for Christmas, and that was a mistake. I already have 83 hours logged in my save file, and I've probably played a bit more than that because I save scum like crazy when fighting biters.</p>
      <p>In spite of this, I've actually done some stuff on the ol' website! I've got an article in the works, and I've created a <a href="../etc/quotes/">page</a> immortalizing all the funniest bullshit my friends and I have said in our discord group chat. I'm real proud of it, I wrote some PHP code to generate HTML styled like real discord messages. It's nicer presentation, easier on my server's storage space, and better for screen readers than uploading screenshots! Fair warning if you want to check it out, there's quite a high density of "sex joke".</p>
    </article>
    <article id="2022-12-21">
      <h2>2022-12-21</h2>
      <p>Can you believe it guys? Christmas, just a week away. Christmas is in a week! Woohoo! I am so happy about this information. Christmas! Just a week away, oh wow. Can you believe it? Christmas! Just in a week! It got here so fast!</p>
      <p>It Has Been Almost A Month. Whoops! Not many updates I can think of, hence the lack of entries here I guess. All my time's been taken up by procrastinating on my college work. I got meds that were supposed to help with that, but all they've accomplished so far is allowing me to procrastinate more efficiently. Maybe I need a higher dose.</p>
      <p>Speaking of procrastinating efficiently, I've done some coding. I wrote a <a href="https://isopod.cool/stuff/firefoxrss/feed.php">PHP script</a> that scrapes the Firefox release notes into an RSS feed. After that I got hard into customizing Neofetch for a few days. My setup is so caked in box drawing characters and manually coded ANSI escapes as to be borderline unrecognizable, and quite possibly alive. Here, I'll subject you to it:</p>
      <details>
        <summary>Click to be subjected</summary>
        <p>Thanks. I really needed to get this out of my system.</p>
        <img src="images/2022-12-21_zsh.png" alt="The sickest damn Neofetch config you've ever seen in your life">
        <p>Admittedly, this is actually a fork of Neofetch called Hyfetch. It's functionally the same though, all it does is color the ASCII Manjaro logo with nonbinary pride flag colors. Anyway, just look at this shit. I'm gonna brag about every damn detail of it to you now. First off, those lines surrounding everything are dynamically drawn. The width of the box is dependent on the width of the <span title="It's just the top line because I know that one's likely to always be the longest">top line</span> there. All the shit underneath is dynamic too. That "playing" indicator goes away completely when nothing's playing, and as a fun little touch I made it so that separators in the title string like " - " and " | " are replaced with a line that connects up to the box. The to-do list below it isn't hard coded either. That thing pulls from a text file in my home directory and dynamically draws those lines to connect to each item, and it also disappears when there's nothing in the to-do list. I've configured zshrc to only show this when I log in via terminal emulators so it doesn't clog up my IDE terminal windows or my <span title="Don't ask.">ssh</span> client. Half these readouts are custom. I had to install a whole separate program (shoutout <a href="https://github.com/clbr/radeontop">radeontop</a>) to get the GPU load. I had to learn both sed and ANSI escape codes to get this to work. It's so packed to brimming with both I almost want to throw up looking at it, and I didn't even get most of it off Stack Overflow. I can do all this crazy crap because Neofetch's config file is literally just a shell script it runs, but that also means I had to write all that shit in <i>bash</i>. Let me tell you, it's a bitch and a half to get almost anything of substance done in that fuckin' mess of a language. I learned the hard way it can only do integer math on its own. Javascript's weird type coercion shit and Lua counting arrays from 1 instead of 0 is child's play compared to what I had to deal with to get my Neofetch looking all pretty. If statements in this nightmare language are fucking indecipherable. I had to search for "bash if" more than I had to search for anything related to that ANSI control code fuckery.</p>
        <img src="images/2022-12-21_ssh.png" alt="An equally sick fetch script as the first, but fully custom and running on my VPS">
        <p>I also have this. I coded it for my VPS, just because, and it's <i>entirely</i> custom. From <span title="Except the ASCII art. I stole the ASCII art from Neofetch. It's my code printing it and my ANSI escapes coloring it, though.">scratch</span>. This is how I learned Bash can't do floating point math. Did I need to do this? No. Was there any good reason for me to do this? Probably not. What's your point?</p>
      </details>
      <p>I also went bowling today, so that was fun. I sucked shit at it. There was pizza.</p>
      <p>My headphones continue to be amazing. If any pair of headphones on planet Earth will last me ten years, I think it's this one. Knock on wood, etc.</p>
      <p>According to the roughly weekly schedule I set for these things for myself, there's still one more post due this year, but let's be real here. See you next year!</p>
    </article>
    <article id="2022-11-26">
      <h2>2022-11-26</h2>
      <p>I finally got my ADHD meds! They seem to be working, too. Since I started taking them a couple days ago, I've noticed a pronounced drop in my general compulsion to do bad unproductive things like scroll social media for multiple hours. I spent all day today setting up a companion website for my Minecraft server, but not in a forgot-to-eat-lunch kind of way, which is doubly impressive because one of the side effects of this stuff is a reduced appetite.</p>
      <p>This past week in class has been really easy - the provided study plan provisioned a whole week for an assignment that consisted of installing a C++ compiler and debugging a simple program, and I got that done in a couple of hours, even including the snag I hit where they expected me to use Windows because of course they fucking did. I spent the rest of the week doing nothing because that's what was on the schedule. I could have worked ahead, but fuck that.</p>
      <p>The headphones that I got literally the day I posted the last entry have proven to be very nice. Not only are they built like a tank, but I've learned it's possible to replace just about every part of them. I might actually manage to keep these until the drivers fail! How cool would that be?</p>
      <p>I need to get some more exercise. Can one of you remind me to go on a walk or something tomorrow?</p>
    </article>
    <article id="2022-11-17">
      <h2>2022-11-17</h2>
      <p>My new headphones are finally here! Thus far, they certainly seem to live up to the hype. I hear a lot of people in the audiophile space talking about "soundstage", and while this certainly doesn't have Dolby Atmos&trade; levels of it, I kind of see what they mean now. It's like the sounds are coming from outside of my ears! Naturally, the quality of those sounds is fantastic as well. Plus, they're really comfortable, built well, and the custom braided cable that the modding company provided is superb. Okay, enough gushing. Maybe I'll write a review of these once I've gotten some more use out of them.</p>
      <p>I've created a service on here! It's a little utility that takes an RSS feed and filters it based on the contents of the entries. I created it because there are a couple Tumblr blogs I subscribe to the <span title="Did you know you can get an RSS feed from any Tumblr blog at <blog URL>.tumblr.com/rss?">RSS feeds</span> for and I wanted to filter them to have just the posts with images. You can feel free to <a href="https://isopod.cool/stuff/rssfilter.php">use it</a> if you want, but I encourage you to download the source code and self-host it as well!</p>
      <p>The computer science class I'm taking has been going well. So far it's mostly been the basics - going over ideas like loops and binary numbers and shit. The chapter of the textbook I read today explained AND gates to me. My years of being a Redstone Knower in Minecraft have been building up to this! Not to imply I think this is dumb or pointless or anything - this is clearly building up to some much more involved shit and I'm waiting with bated breath for the other shoe to drop difficulty-wise, but I'm taking it as a good sign that this has been <span title="Knock on wood.">so easy</span> thus far.</p>
      <p>Now for some major tonal whiplash: I'm now fairly confident that I'm some degree of nonbinary. You may have guessed this if you've been poking around my <span title="Particularly the stats page where my pronouns are listed as &quot;any&quot; and my gender is listed as a randomly selected joke about how there isn't one, and the more page which features a nonbinary pride flag button">website</span> of late, or just reading this journal, but I was reluctant to say so explicitly in case I ended up changing my mind. I don't want to get into the details, because I don't really know them either, but I'm pretty sure at this point that "man" doesn't nearly cover it. As for pronouns, anything works! Fuck around! This is all uncharted territory for me, so if some gendered term or other makes me uncomfortable (or doesn't), I'd like to find out now lest I come out to my family and then have to amend that shit later.</p>
      <p>I think that about covers it for now. I'm gonna go listen to some more of my favorite music with these shiny new headphones, or maybe just go the hell to bed already.</p>
    </article>
    <article id="2022-11-06">
      <h2>2022-11-06</h2>
      <p>I've started the first of my classes! So far it's been mostly reading the textbook and making tedious discussion posts about it in the class forum. I understand on some level why they make us do it, but that doesn't make it not annoying.</p>
      <p>All this stuff going on hasn't left me with a ton of time or energy to update my website. One course isn't exactly a full load, but between doing the course work, procrastinating on the course work, working on this music video, procrastinating on that, and my utterly wrecked sleep schedule, there just doesn't seem to be enough hours in the day.</p>
      <p>Speaking of the music video, here's some more renders of it I've made if you're interested:</p>
      <details>
        <summary>Renders</summary>
        <iframe style="display: block; margin: 1rem auto; border: none;" width="560" height="315" src="https://www.youtube-nocookie.com/embed/2-EA661SKic" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        Looks so much better in Cycles, doesn't it? I lament the destructive effects of Youtube compression, however.
        <iframe style="display: block; margin: 1rem auto; border: none;" width="560" height="315" src="https://www.youtube-nocookie.com/embed/r54mC6eIZxI" title="YouTube video player" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
        This second one was rendered in a secret third thing, Workbench, a barebones rendering engine with basically no graphical features at all that I used here just to see how some timings would look in the final product.
      </details>
      <p>I've also finally made some progress towards getting some kind of ADHD medication, so hopefully that will help somewhat.</p>
    </article>
    <article id="2022-10-28">
      <h2>2022-10-28</h2>
      <p>My headphones broke a couple days ago. The flimsy swivel joint on one of the ear cups snapped. Lest you suffer the same fate, this was the Audio-Technica ATH-M40x. The joints on the M50x look much more robust, but I've elected not to chance it. I've chosen as their replacement a pair of headphones that reportedly have better sound and vastly superior build quality, the Beyerdynamic DT 770 Pro. I wasn't thrilled about the lack of a removable cable, though, so I elected to get mine through an <a href="https://customcans.co.uk/">English modding company</a> that I've heard good things about. I'll post an update when they get here.</p>
      <p>I've added some automated spookification to my website just in time for Halloween! I used some basic server-side scripting to add some simple themed styling to the webpages and swap out the pool of landing page captions during October. I also have a <a href="../images/autoisopod.png">link</a> that automatically serves an appropriate seasonal isopod image. I also set it up with a little party hat on my birthday :)</p>
      <p>My classes start in a few days. I am filled with Dread and Worry. It'll probably be fine.</p>
    </article>
    <article id="2022-10-19">
      <h2>2022-10-19</h2>
      <p>It's been a minute. Whoops. I had informally planned to update this thing every week or so. I guess this time falls more on the "or so" end of the spectrum. Anyway, I've made significant progress on the music video. The section I posted a test render of a couple entries ago is finished now! I'm proud of how it turned out and I'm really excited for the next part.</p>
      <p>I decided to render the animation in <span title="Blender's stock raytracing-based rendering engine">Cycles</span> instead of <span title="Blender's stock rasterization-based rendering engine">Eevee</span> because, as you might be able to tell from what I've shown, it looks pretty bad in Eevee. I'd been having some stability problems when rendering in Cycles where my system would lock up and crash at random, but I've figured out how to solve that. First, I had Cycles set to use both my dedicated GPU and my CPU's integrated graphics, which was apparently causing issues. The integrated GPU was barely contributing anyway, and turning it off solved 90% of my problems. The other 10% were solved by not doing GPU-intensive stuff like hanging out in a video call with four people during the render.</p>
      <p>Basically my dedicated GPU has to be the only thing working on the render and the render has to be the only thing of note it's doing. This shit is why I want that second GPU as a coprocessor. At least my computer is usable on a basic level during renders now. Before the iGPU rendering was eating up all my CPU time and causing the rest of my system to grind to a halt. I'm thinking, if I go through with this second GPU business, that I'll get a cheap 3050 or 3060 once the low end 40-series cards come out. GPU prices are approaching sane again, so my main concern is whether my 650 watt power supply can handle it. It's a quality unit and most of the cards I've looked at still leave my total system power at under 600 watts, so I expect it should be fine, but that's still cutting a little closer than I'd like.</p>
      <p>I had to add bot protection to my guestbook a couple days ago. Adding a basic test wasn't hard, but I was hoping I wouldn't have to do it. I checked my guestbook that day to find 67 new entries of obvious spam. I do think it was funny that the spam entries were full of BBCode. Not sure why they expected a majority of their targets to support that in the proprietary corporate hellscape that is the modern internet.</p>
      <p>I tried live streaming a couple times recently. I played Noita. To quote one of the webcomics of all time, I am NOT VERY GOOD AT IT. Both streaming and Noita.</p>
      <p>In other news, I've realized my neighborhood resembles an <code>[FUNNY MEME]</code> on the street map. I'm not gonna show a picture for obvious reasons, so you'll just have to take my word for it that it's very funny.</p>
    </article>
    <article id="2022-10-06">
      <h2>2022-10-06</h2>
      <p>Pretty cool day today. A while back I ordered an internal USB card for my computer that purports to allow remote control of the power and reset buttons, and it arrived today. I had some problems initially upon installing it where it was behaving in a weird and unpredictable way, but it turns out I had overtightened the screw on the back of the remote while installing the battery, which had caused the reset button to be held down, and loosening it fixed everything.</p>
      <p>While looking into the new Intel GPUs that are releasing soon, I incidentally learned that my AMD GPU is actually pretty terrible for rendering in Blender relative to basically everything else. Could have done with that information several months ago. Maybe I'll look into getting a cheap Nvidia card for only rendering once the 40-series comes out and everything else (<span title="I feel foolish for even suggesting this will happen. Many GTX 1080s from FIVE years ago are still going for MORE than their original MSRP, I'm assuming as a holdover from the shortage, but still.">hopefully</span>) drops in price. At least it's good for gaming.</p>
    </article>
    <article id="2022-10-01">
      <h2>2022-10-01</h2>
      <p>Why is it October? That's ridiculous. It's not time for October yet.</p>
      <p>I've been working on that music video I mentioned in... uh... July. I'd be lying if I said I thought I was making good progress, but I'm certainly making progress. Here's some pictures:</p>
      <details>
        <summary>Pictures</summary><br>
        <img style="width:100%;" src="images/2022-10-01_arm.png" alt="A low-poly 3D render of a robotic arm mounted on a vertical rail">
        <img style="width:100%;" src="images/2022-10-01_drone.png" alt="A low-poly 3D render of a quadcopter-style drone carrying a cube with &quot;CRATE&quot; crudely scrawled on the front">
        <img style="width:100%;" src="images/2022-10-01_cam.png" alt="A low-poly 3D render of a wall-mounted camera with a glowing green light below the lens">
        And a partial test render:
        <video style="width:100%;" controls>
          <source src="images/2022-10-01_mv_preview.mp4" type="video/mp4">
          Your browser does not support the video tag. Watch it <a href="images/2022-10-01_mv_preview.mp4">here</a>.
        </video>
      </details>
      <p>I've registered for an online college computer science program. I'm planning to start with one course, then see if I want to keep going and do a 1-year diploma, then after that see if I want to keep going some more and do a whole degree. Thanking my lucky stars I already have a way to pay for it lined up. God damn is this shit expensive.</p>
    </article>
    <article id="2022-09-19">
      <h2>2022-09-19</h2>
      <p>Publishing a new blog post right now. It's a special celebratory post for the second anniversary of my other website. The anniversary was actually yesterday, but the forces of procrastination were simply too powerful.</p>
      <p>I bought ULTRAKILL a few days ago and I've been playing the absolute shit out of it. Like, probably too much. It's been eight days and I've played for almost 50 hours and P-ranked almost all of Act 1. I'm not normal about this videogame. You should play it right now.</p>
      <p>I've been thinking about ways to make my computer's RGB lighting behave the way I want. Right now it just stays on whenever the computer has power unless I shut it off, which I've configured systemd to do for me, but I'd prefer it to behave more like an extension of my system's power LED, turning off automatically when the system is off or in sleep mode. I really hope there's some easy way to do it in software that I've missed and I don't have to figure out how to rig up my own janky solution with relays or some crap. That does sound fun though.</p>
    </article>
    <article id="2022-09-13">
      <h2>2022-09-13</h2>
      <p>Happy birthday to me! I turned 20 today. I had a bunch of stuff to do today for unrelated reasons. I am very tired.</p>
    </article>
    <article id="2022-09-11">
      <h2>2022-09-11</h2>
      <p>Another entry in the overclocking saga. I've pushed my CPU another half a GHz with no problems, but more importantly, I discovered what was actually wrong with my RAM! I thought it was just partially incompatible with my CPU, but it turns out my motherboard BIOS was almost two years out of date, and updating it fixed the problem! I've seen a <span title="For those keeping score at home, I went from 2:24 to 2:22, a 1.4% improvement.">2-second improvement</span> in my render times in the Blender BMW <span title="If you're curious, my GPU absolutely creams my CPU in the BMW test, getting times in the 30 second range.">CPU benchmark</span>.</p>
    </article>
    <article id="2022-09-05">
      <h2>2022-09-05</h2>
      <p>Overclocked my CPU today! Admittedly, I pretty much blindly followed a guide for my specific CPU on Youtube. But it seems to have worked! It didn't change my performance in Blender CPU rendering even slightly, but it runs somewhat hotter now and my performance in Minecraft has noticeably improved. I wonder if I could push it further.</p>
    </article>
    <article id="2022-08-30">
      <h2>2022-08-30</h2>
      <p>Absolute linear time moment right now. It's almost September, and my birthday is in September, which means I'm almost In My 20s&trade;, and none of that is fucking with me at all.</p>
      <p>I drove some places today. I went downtown to attend some small event, but I was the only person who showed. Then I went to the mall to eat at the New York Fries there (Their "Bacon Double Cheese Poutine" doesn't even have gravy! Outrageous! Still good tho), then I went to go buy some bus tickets. I can drive now, but sometimes other people in the house need the car.</p>
      <p>Each stop required that I navigate a parking lot, plus an extra bonus one to turn around in because I fucked up and exited one of them at a spot where I could only turn right, but needed to go left. For those keeping score at home, that's four total parking lots in one day. I also slipped and fell in some mud in one of them. Based on today's experiences, I can only conclude that parking lots are evil. They are the worst places to navigate both on foot and in a car. The more I use this thing, the more I feel like I shouldn't have to. At least the fries were good.</p>
      <p>Still figuring out the whole "gender" business. No major progress on that front as yet.</p>
      <p>Been thinking about home server stuff a lot. I kind of want to try to convert my laptop into some kind of fucked up chimera of a storage server. Disable the chassis intrusion detector, mount the mainboard in a desktop/server case somehow, massively upgrade the storage, maybe try and source one of those sketchy NVMe to SATA HBAs. Obviously couldn't power the drives off the laptop though. Anyway, could be fun if I don't blow everything up in the process.</p>
      <p>I also built a guestbook for my website the other day. I learned a lot of PHP doing that. I do want to deprecate the cbox channel now, because it sees basically no use and I'd like to cut down on JavaScript.</p>
      <p>I think these posts might be getting a little too long.</p>
    </article>
    <article id="2022-08-24">
      <h2>2022-08-24</h2>
      <p>I've been having fun with various networking nonsense of late. To start, I finally got that SearXNG instance up and running. The issue originally was that I tried to run it in a Docker container, but it was listening on the HTTP ports so I couldn't run my website at the same time. Then I tried installing it normally, but something broke and it didn't want to work. I guess the installation instructions got updated recently, because I followed the guide again and it worked this time. No more search engine privacy drama for me!</p>
      <p>After that I decided I wanted to start self-hosting a Minecraft server I run, <span title="I say &quot;at the time&quot; like it wasn't less than 24 hours ago">at the time</span> hosted on a Shockbyte server I was renting. I had an old gaming laptop laying around collecting dust that was more than up to the task, the only problem was my home network. See, I live with my parents, and naturally they're in charge of the home network setup. I'm not convinced they'd be willing to let me mess around <span title="haha get it? that's my name">willy</span>-nilly with the router settings. And even if I could, it's behind some weird mesh WiFi network with its OWN management interface I don't know the login to.</p>
      <p>Luckily, there was a way I could circumvent all this mess entirely: WireGuard. If I could connect, say, an <span title="Something that, if you've been paying attention, you know I very much have.">external VPS</span> to my laptop with a VPN, I could forward Minecraft traffic to it without having to care in the slightest about my home network! So naturally I didn't hesitate to install WireGuard and look up a guide on how to configure it. It was easier than I expected, funny enough. The main problem I ran into was that WireGuard is configured (sanely) by default to close the connection if the client doesn't send any packets for a bit, so I had to dig around in the config files to fix that if I wanted it accessible from the internet.</p>
      <p>It worked great! As a bonus, my laptop is still accessible via LAN, so I can now connect to the Minecraft server directly from across my desk for ping times in the same order of magnitude as my monitors. With all this stuff running on my VPS now, I needed to upgrade from the $5 base plan. Fortunately, I now had a freshly-made-redundant Minecraft server rental I could cancel to free up the necessary funds.</p>
      <p>Finally, I've installed Termux on my phone. I can now SSH into my computer to save Youtube videos with yt-dlp from anywhere in the house! I was worryingly enthused about that when I got it set up. I think I have problems.</p>
    </article>
    <article id="2022-08-17">
      <h2>2022-08-17</h2>
      <p>I've had my driver's license for a few days now. I've even driven a couple of places... independently! It's proving to be significantly less terrifying than I was expecting, they said, jinxing themself.</p>
      <p>Yeah, about that bit at the end there. The short version is, I'm no longer certain of my gender. You'd know this already if you've been poking around my site of late<span title="😎">;</span> I've taken quite a while to actually properly write about it. I guess I just felt weird about making it "official" by discussing it, so to speak. Anyway, I've started using he/they as opposed to the default he/him in spaces where I feel comfortable doing so, like here. Just to try it out. Seeing how I like it. Gathering data, et cetera. We'll see how it works out. Gender is hard.</p>
      <p>Oh, and the car's fine, by the way. We think there was a broken seal somewhere in the power steeing system. The repair was expensive.</p>
    </article>
    <article id="2022-08-12">
      <h2>2022-08-12</h2>
      <p>It's been an exciting 24 hours. I'm <i>actually</i> just about over this cold, it seems, for one. Also, I took my driver's exam today! I passed with 60 out of a possible 75 demerit points. Not phenomenal, but good enough! I am now officially a licensed driver! I smelled steering fluid during the parking section of the test though, so we took the family car I took it in to a mechanic immediately after. Fun stuff. In nicer news, we celebrated with ice cream cake afterwards!</p>
      <p>I also set up a fediverse instance on my server today. Since quitting twitter, I've been sorely missing a place to post my banger tweets. My account is <a href="https://social.isopod.cool/will">@will@social.isopod.cool</a> if you're interested. I went with Pleroma because I'd heard Mastodon might be too heavy for my weak little VPS. I'm glad I did, because even Pleroma is seemingly the most resource-hungry thing on my server thus far. It uses almost as much RAM as everything else (read: my website and an XMPP server I don't use because I can't make file sharing work) put together.</p>
      <p>The thing was surprisingly easy to set up. This coming from someone who unironically calls Minecraft redstone stuff "simple", but still. I followed <a href="https://landchad.net/pleroma/">this guide</a> and the process was shockingly smooth and painless, relatively speaking. Not like the time I tried to run a SearX instance. That sucked.</p>
    </article>
    <article id="2022-08-08">
      <h2>2022-08-08</h2>
      <p>I've just about gotten over this cold. I've had nothing but a mild cough and runny nose for days now.</p>
      <p>I took my last of several driving lessons today. I've got the exam to get my license scheduled in a few days and by the looks of it, there's a non-zero chance I'll pass! Very excited to be able to run errands for my parents.</p>
    </article>
    <article id="2022-08-02">
      <h2>2022-08-02</h2>
      <p>Small update to say I've tested negative for covid! What a goddamn relief. <span title="🤜🪵">At the risk of tempting fate, I seem to be getting better, too.</span> Had to cancel an event I was going to today because I'm sick, though.</p>
      <p>Also, according to the weather forecast, temperatures are supposed to be, like, sane for at least the next week! Hell yeah!</p>
    </article>
    <article id="2022-08-01">
      <h2>2022-08-01</h2>
      <p>In an entry from 11 days ago I said I felt like it was supposed to still be June. It has since been at least a month. Somehow, it's also only been like a day since I updated this thing. Also somehow, it <i>definitely</i> shouldn't be August yet.</p>
      <p>I'm diseased! Can't say whether it's the same thing everyone else had a couple entries back. Still just really hoping it isn't covid. It's been pretty mild so far, fortunately (knock on wood 🤜🪵).</p>
      <p>I've moved my website onto a VPS I'm renting. No real problem with Neocities, I just really wanted to experiment with server-side stuff. No longer do you need to have Javascript enabled to see the silly little randomized subheader on my landing page. I intend to get a guestbook set up as well, now that I don't need to rely on a third party for it.</p>
      <p>I've also moved domains. It's isopod.cool now! The old link still works, though. My website is linked in a few places now and I didn't want to break anything. That's another major reason I had to leave Neocities. I could point two domains to my Neocities site, but only one of them would have been able to have SSL, and that is simply not acceptable.</p>
    </article>
    <article id="2022-07-26">
      <h2>2022-07-26</h2>
      <p>My parents replaced the modem in the house today. The one we had was apparently really old and grandfathered in from our previous internet plan, and it turns out it was bottlenecking the bandwith to the entire house by something like TENFOLD. We went from 30Mb down to <i>300</i>. This means we've been getting 10% of our (their) money's worth on broadband for YEARS. I am both upset and excited about this development.</p>
      <p>My parents have also convinced me to watch The Office with them. We're three episodes in and I've had enough second-hand embarrassment for a whole month.</p>
    </article>
    <article id="2022-07-25">
      <h2>2022-07-25</h2>
      <p>I haven't gotten sick yet, so that's good.</p>
      <p>I've been trying to distance myself from larger social medias lately. I pretty much went cold turkey on Twitter a while back, and I've been cutting down on the time I spend on Tumblr recently as well. I may write a blog post about this soon. I also joined a small forum recently. So far it's much more pleasant than any social media I've used. On the off-chance you found my site from there, hi!</p>
      <p>I've decided to learn Rust. It's certainly different. Still don't know how to declare a string.</p>
    </article>
    <article id="2022-07-22">
      <h2>2022-07-22</h2>
      <p>Today I remembered this old XFCE theming website I used to frequent (and even contribute to!) back when I was very young and running Linux on a Chromebook. I went there and it's since been brutally KILLED and replaced with a Pling site... What has this world come to... R.I.P. xfce-look.org.</p>
      <p>Everybody in my house but me seems to be sick with... something. Here's hoping it's not another round of covid. My mom is confident that it isn't, but I'm not so sure. 3 vaccines weren't enough to stop it the first time and apparently it can seriously damage your immune system - If I get it again, it'll probably be even worse.</p>
      <p>In other news, I got lunch from my favourite sandwich joint today. Wore a mask, of course. We should never have stopped wearing those. Anyway, the sandwich was good. I got my usual order: ham + turkey + salami with smoked cheddar cheese and mayo + mustard and cucumbers on a kaiser bun (they've been out of my preferred dutch crunch bread for like the past few months). Of everything in my city, that place will be the thing I miss the most when we move by a good long way.</p>
    </article>
    <article id="2022-07-21">
      <h2>2022-07-21</h2>
      <p>It feels like it shouldn't be this late in the month. Isn't it supposed to still be June?</p>
      <p>Anyway, I'm just about done a song I've been working on! Love it when that happens. I should do that more often. I've got some fun ideas for the music video I wanna make for it, too.</p>
    </article>
    <article id="2022-07-18">
      <h2>2022-07-18</h2>
      <p>Making the page I mentioned in the previous entry is taking longer than anticipated. I've been really tired recently for some reason. Part of me is blaming it on the heat, but it's possible that the complete degradation of my sleep schedule of late could be playing a part. Y'know, being unemployed and all.</p>
      <p>I had a dream last night where I got a really good deal on a used <span title="I paid around $170 for two RTX 2070's, if you're curious.">graphics card</span>. I don't know what that says about me.</p>
    </article>
    <article id="2022-07-16">
      <h2>2022-07-16</h2>
      <p>I hate summer. It's too hot. It's been in the high 20's to low 30's Celsius almost every day for the past few weeks and I'm sick of it!!! I'm Canadian, I wasn't built for this!! One benefit, though, is the vastly increased volume of cool bugs.</p>
      <p>I'm working on a page for my website about software I use. Well, really I've been scrolling Tumblr with the blank HTML document open on the other monitor. But you get the picture.</p>
      <p>My home internet connection has been on the fritz today. I've been using my phone's mobile hotspot to connect to the internet on my computer. I chewed through something like a fifth of my monthly data cap doing that.</p>
    </article>
    <article id="2022-07-15">
      <h2>2022-07-15</h2>
      <p>Had a bit of a scare this morning when I went to turn on my computer and the <span title="Power On Self Test, if you didn't know.">POST</span> kept failing at the graphics card I overpaid for in March. Fortunately I re-seated it and everything was fine. In other news, today I learned that one of Ryzen's many idiosyncracies is that it will turbo super hard under almost any load at all if it thinks it can get away with it, so my CPU temps can skyrocket like fifteen degrees from as little as saving this document in VSCode.</p>
    </article>
    <article id="2022-07-14">
      <h2>2022-07-14</h2>
      <p>Instead of writing a new blog post, I have added an <a href="https://journal.miso.town/">HTML Journal</a> to my site. <span title="Naturally, the logical conclusion of this is one page each for posts of every possible word count.">This will be a place for posts that are too short to warrant a blog post, but too long to be a <a href="https://status.cafe/users/niceopod">status</a>.</span> For example:</p>
      <p>I installed some RGB strips in my computer recently! Well, one RGB strip. I bought two, but they were both a meter long and I seem to have underestimated just how long that is. When I built the computer, I figured I didn't need RGB, so I went out of my way a little to avoid it and then I realized that the glass panel on my case was tinted so I couldn't even see in. Hence the RGB strip, because I didn't want to spend  money replacing perfectly good parts with ones that light up. I've got the strip crammed in a gap next to the wall of the case where it's blocked from direct view so that it just illuminates the inside and doesn't shine in my face. Here's a picture:</p>
      <img src="images/2022-07-14_PC-RGB.jpg" style="width: 50%; margin: 0 25%;" alt="My computer tower. The inside is illuminated in rainbow colors by a hidden RGB LED strip.">
      <p>It's not exactly radiant compared to some other peoples' setups, but I like it. It's subtler.</p>
      <p>Cool, right? I've retrofitted the blog post list to be compliant with HTML Journal's fresh new sister spec, <a href="https://blog.miso.town/">HTML Blog</a>, as well, mainly for the automatic feed generation it offers.</p>
    </article>
    <div class="buttons" style="margin-bottom: 1rem;">
      <a href="https://status.cafe/"><img src="images/banner-statuscafe.png" alt="Status Cafe"></a>
      <a href="https://kiosk.nightfall.city/"><img src="images/neonkiosk.png" alt="Neon Kiosk"></a>
      <a href="https://journal.miso.town/"><img src="images/banner-htmlj.png" alt="Valid HTML Journal"></a>
    </div>
    <div id="rightsidebg" style="background-image: url(bg.png); --distancefromcenter: -10%;"></div>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
  </body>
</html>
